NXOpen.UF.Modl.CreateExtruded1

Modl.CreateExtruded1()

Refer to UF_MODL_create_extruded1 for documentation.

Signature: CreateExtruded1(objects, taperAngle, limit, point, direction, sign, targetBody)

Parameters:
  • objects (NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.) – List of objects to be extruded.
  • taperAngle (str) – Taper angle (in degrees).
  • limit (list of str) – Limit of extrusion. This is declared as: char *limit[2]. The first value is the start value of the extrusion and the second value is the end of the extrusion (see the example program).
  • point (list of float) – not used
  • direction (list of float) – Extrusion axis.
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
  • targetBody (Tag) – Target body to perform Boolean
Returns:

List of feature identifiers created. This list must be freed by calling UF_MODL_delete_list.

Return type:

NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.

License requirements: SOLIDS MODELING